Skip to content

Applicants ​

Create applicant ​

Create an Applicant account for a specific Company.

Scope ​

applicants_write

Endpoint ​

http
POST /jobboards/applicants

Open in Postman

Accepted params ​

All parameters should be in the request's body.

ParamTypeExample valueRequiredDescription
company_idInteger42✓Company id linked to the Applicant
applicantObject-✓Applicant data
applicant["email"]String"foo@bar.com"✓Email address
applicant["first_name"]String"Foo"✗First name
applicant["last_name"]String"Bar"✗Last name
applicant["locale"]String"fr"✗Applicant's language. Available values: ["fr", "en", "es"]
applicant["phone_code"]String"33"✗Phone country code
applicant["phone_number"]String"642424242"✗Phone number without country code
applicant["avatar_url"]String"https://foo.bar/url"✗Public picture url
applicant["iso_country"]String"FR"✗ISO country
applicant["is_partner_newsletter_active"]Booleanfalse✗Has the applicant subscribed to the partner newsletter
applicant["is_campaign_alert_active"]Booleanfalse✗Has the applicant subscribed to the new job offers email alert
applicant["is_legals_accepted_by_manager"]Booleanfalse✗Do you have the applicant's agreement to upload it in Kelio ATS. false by default. If this field is not set to true, the applicant will receive an email with a link to accept our terms and conditions.
applicant["bio_url"]String"https://foo.bar/url"✗Public url to the applicant's website/portfolio
applicant["resume"]Object-✗To upload a resume, both base64 and mime_type following fields are required. NB: the resume is uploaded asynchronously.
applicant["resume"]["base64"]String"JVBERi0xLjQ..."✓ / ✗Resume encoded in base64.
applicant["resume"]["mime_type"]String"pdf"✓ / ✗Mime type of the file. Available values: ["pdf", "jpg", "png", "doc", "docx"]
applicant["address"]Object-✗Applicant's address
applicant["address"]["lat"]Float50.62925✗Latitude
applicant["address"]["lon"]Float3.057256✗Longitude
applicant["address"]["name"]String"165 Avenue de Bretagne, 59000 Lille, France"✗Complete address (only for display, filling in this field will not autocomplete the full address object)
applicant["address"]["street_number"]String"165"✗Street number
applicant["address"]["street"]String"Avenue de Bretagne"✗Street name
applicant["address"]["zipcode"]String"59000"✗Postal code
applicant["address"]["city"]String"Lille"✗City
applicant["address"]["country"]String"France"✗Country
applicant["address"]["iso_country"]String"FR"✗ISO country code
applicant["applications"]Object or Array of Objects-✗Usable to create applications linked to the applicant in one single API call
applicant["applications"]["campaign_id"]Integer1✓ / ✗Campaign id linked to the Application. The Campaign has to be broadcasted on your Jobboard

Example ​

Create an applicant with two applications

URL:

http
POST https://api.talentview.fr/v2/jobboards/applicants

BODY:

json
{
    "company_id":                           1,
    "applicant": {
        "email":                            "john_doe@example.com",
        "first_name":                       "John",
        "last_name":                        "Doe",
        "locale":                           "fr",
        "phone_code":                       "33",
        "phone_number":                     "601020304",
        "avatar_url":                       "https://s3-eu-west-1.amazonaws.com/talentview/assets/default-avatar.png",
        "iso_country":                      "FR",
        "is_partner_newsletter_active":     false,
        "is_campaign_alert_active":         false,
        "is_legals_accepted_by_manager":    false,
        "bio_url":                          "https://foo.bar/url",
        "address": {
            "lat":                          "50.62925",
            "lon":                          "3.057256",
            "name":                         "165 Avenue de Bretagne, 59000 Lille, France",
            "street_number":                "165",
            "street":                       "Avenue de Bretagne",
            "zipcode":                      "59000",
            "city":                         "Lille",
            "country":                      "France",
            "iso_country":                  "FR"
        },
        "applications": [
            {
              "campaign_id":                 1
            },
            {
              "campaign_id":                 2
            }
        ]
    }
}

View response example

Jobboard documentation for the Kelio ATS API